
Name:           kopeninghours
Version:        23.08.5
Release:        %mkrel 1
Summary:        OSM opening hours expression parser and evaluator
Group:          Graphical desktop/KDE5
License:        LGPLv2+
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: bison
BuildRequires: flex
BuildRequires: lib64kf5holidays-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel

%description
A library for parsing and evaluating OSM opening hours expressions.

%files -f %{name}.lang
%{_kf5_categoriesdir}/org_kde_kopeninghours.*categories
%{_kf5_qmldir}/org/kde/kopeninghours/
/usr/lib/python3.10/site-packages/PyKOpeningHours/PyKOpeningHours.pyi
/usr/lib/python3.10/site-packages/PyKOpeningHours/PyKOpeningHours.so
/usr/lib/python3.10/site-packages/PyKOpeningHours/__init__.py
#------------------------------------------------------------------------------

%define kopeninghours_major 1
%define libkopeninghours %mklibname kopeninghours %{kopeninghours_major}

%package -n %{libkopeninghours}
Summary:        OSM opening hours expression parser and evaluator
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libkopeninghours}
A library for parsing and evaluating OSM opening hours expressions.

%files -n %{libkopeninghours}
%{_kf5_libdir}/libKOpeningHours.so.%{kopeninghours_major}*
%{_kf5_libdir}/libKOpeningHours.so.*

#------------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libkopeninghours} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Include files and libraries needed to build programs that use the KOpeningHours
library.

%files -n %{develname}
%{_includedir}/KOpeningHours/
%{_includedir}/kopeninghours/
%{_includedir}/kopeninghours_version.h
%{_kf5_libdir}/cmake/KOpeningHours/
%{_kf5_libdir}/libKOpeningHours.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

rm -f %buildroot/usr/lib/python3.6/site-packages/PyKOpeningHours/PyKOpeningHours.pyi
rm -f %buildroot/usr/lib/python3.6/site-packages/PyKOpeningHours/PyKOpeningHours.so
rm -f %buildroot/usr/lib/python3.6/site-packages/PyKOpeningHours/__init__.py


%find_lang %{name} --with-man


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

